import Vue from 'vue'
import Router from 'vue-router'
Vue.use(Router)


import Layout from '@/components/Layout/layout.vue'
// import menuList from '@/components/Layout/menuList/menuList.vue'
// import menuItem from '@/components/Layout/menuList/menuItem.vue'
const login = () =>
    import ('@/views/login.vue')
export default new Router({
    history: true,
    routes: [{
            path: '/login',
            component: login,
            hidden: true
        },
        {
            path: '/',
            component: Layout,
            redirect: '/dashboard',
            name: '首页',
            hidden: true,
            meta: {
                title: '内蒙自治区企业管理平台',
                icon: 'example'
            },
            children: [{
                path: 'dashboard',
                component: () =>
                    import ('@/views/dashboard/index'),
                name: '首页',
                meta: {
                    title: '内蒙自治区企业管理平台',
                    icon: 'example'
                }
            }]
        },

        {
            path: '/dailyManage',
            component: Layout,
            redirect: '/dailyManage/main',
            name: '日常管理',
            meta: { title: '日常管理', icon: 'example' },
            children: [{
                    path: 'main',
                    name: '通知公告',
                    component: () =>
                        import ('@/views/dailyManage/main'),
                    meta: { title: '通知公告', icon: 'table' }
                },
                {
                    path: 'main-detail',
                    name: '通知公告详情',
                    component: () =>
                        import ('@/views/dailyManage/main-detail'),
                    meta: { title: '通知公告详情', icon: 'table' },
                    hidden: true
                },
                {
                    path: 'newsPaper',
                    name: '期刊上传',
                    component: () =>
                        import ('@/views/dailyManage/news-paper-up'),
                    meta: { title: '期刊上传', icon: 'tree' }
                }
            ]
        },
        {
            path: '/onlineContribute',
            component: Layout,
            redirect: '/onlineContribute/index',
            name: '在线投稿',
            meta: { title: '在线投稿', icon: 'example' },
            children: [{
                    path: 'index',
                    name: '投稿',
                    component: () =>
                        import ('@/views/contribute/index'),
                    meta: { title: '投稿', icon: 'form' }
                },
                {
                    path: 'detail',
                    name: '投稿详情',
                    hidden: true,
                    component: () =>
                        import ('@/views/contribute/detail'),
                    meta: { title: '投稿详情', icon: 'form' }
                },

                {
                    path: 'check',
                    name: '审核/查询',
                    component: () =>
                        import ('@/views/contribute/check'),
                    meta: { title: '审核/查询', icon: 'form' }
                }
            ]
        },
        {
            path: '/monitorArea',
            component: Layout,
            redirect: '/monitorArea/reportTime',
            name: '系统管理',
            meta: { title: '系统设置', icon: 'example' },
            children: [{
                    path: 'reportTime',
                    name: '上报时间管理',
                    component: () =>
                        import ('@/views/monitorArea/reportTime'),
                    meta: { title: '上报时间管理', icon: 'form' }
                },
                {
                    path: 'reportTimeDetail',
                    name: '上报时间详情',
                    hidden: true,
                    component: () =>
                        import ('@/views/monitorArea/reportTimeDetail'),
                    meta: { title: '上报时间详情', icon: 'form' }
                },
                {
                    path: 'indicator',
                    name: '指标管理',
                    component: () =>
                        import ('@/views/monitorArea/indicator'),
                    meta: { title: '指标管理', icon: 'form' }
                },
                {
                    path: 'indicatorDetail',
                    name: '指标管理详情',
                    hidden: true,
                    component: () =>
                        import ('@/views/monitorArea/indicator-detail'),
                    meta: { title: '指标管理详情', icon: 'form' }
                },
                {
                    path: 'standard',
                    name: '标准管理',
                    component: () =>
                        import ('@/views/monitorArea/standard'),
                    meta: { title: '标准管理', icon: 'form' }
                },
                {
                    path: 'standardDetail',
                    name: '标准管理详情',
                    hidden: true,
                    component: () =>
                        import ('@/views/monitorArea/standard-detail'),
                    meta: { title: '标准管理详情', icon: 'form' }
                },
                {
                    path: 'unit',
                    name: '单位管理',
                    component: () =>
                        import ('@/views/monitorArea/unit'),
                    meta: { title: '单位管理', icon: 'form' }
                },
                {
                    path: 'unitDetail',
                    name: '单位管理详情',
                    hidden: true,
                    component: () =>
                        import ('@/views/monitorArea/unit-detail'),
                    meta: { title: '单位管理详情', icon: 'form' }
                },
                {
                    path: 'priceType',
                    name: '价格类型管理',
                    component: () =>
                        import ('@/views/monitorArea/priceType'),
                    meta: { title: '价格类型管理', icon: 'form' }
                },
                {
                    path: 'priceTypeDetail',
                    name: '价格类型管理详情',
                    hidden: true,
                    component: () =>
                        import ('@/views/monitorArea/priceType-detail'),
                    meta: { title: '价格类型管理详情', icon: 'form' }
                },
                {
                    path: 'target',
                    name: '监测点指标管理',
                    component: () =>
                        import ('@/views/monitorArea/target'),
                    meta: { title: '监测点指标管理', icon: 'form' }
                },
                {
                    path: 'brand',
                    name: '指标品牌规格管理',
                    component: () =>
                        import ('@/views/monitorArea/brand'),
                    meta: { title: '指标品牌规格管理', icon: 'form' }
                },
                {
                    path: 'targetSet',
                    name: '监测点标准管理',
                    component: () =>
                        import ('@/views/monitorArea/targetSet'),
                    meta: { title: '监测点标准管理', icon: 'form' }
                },
                {
                    path: 'targetUnit',
                    name: '监测点单位管理',
                    component: () =>
                        import ('@/views/monitorArea/targetUnit'),
                    meta: { title: '监测点单位管理', icon: 'form' }
                },
                {
                    path: 'targetPriceType',
                    name: '指标价格类型管理',
                    component: () =>
                        import ('@/views/monitorArea/targetPriceType'),
                    meta: { title: '指标价格类型管理', icon: 'form' }
                },


                {
                    path: 'provinceShort',
                    name: '省份简称管理',
                    component: () =>
                        import ('@/views/monitorArea/provinceShort'),
                    meta: { title: '省份简称管理', icon: 'form' }
                }, {
                    path: 'provinceShortDetail',
                    name: '省份简称管理详情',
                    hidden: true,
                    component: () =>
                        import ('@/views/monitorArea/priceType-detail'),
                    meta: { title: '省份简称管理详情', icon: 'form' }
                },

                {
                    path: 'reportType',
                    name: '报表类型管理',
                    component: () =>
                        import ('@/views/monitorArea/paperReport'),
                    meta: { title: '报表类型管理', icon: 'form' }
                },
                {
                    path: 'reportBaseInfo',
                    name: '报表基本信息管理',
                    component: () =>
                        import ('@/views/monitorArea/paperReportBaseInfo'),
                    meta: { title: '报表基本信息管理', icon: 'form' }
                },
                {
                    path: 'paperReportConfig',
                    name: '报表配置',
                    component: () =>
                        import ('@/views/monitorArea/paperReportConfig'),
                    meta: { title: '报表配置', icon: 'form' }
                },
                {
                    path: 'powerSet',
                    name: '权重设置',
                    component: () =>
                        import ('@/views/monitorArea/powerSet'),
                    meta: { title: '权重设置', icon: 'form' }
                },
                {
                    path: 'powerDetails',
                    name: '权重设置详情',
                    hidden: true,
                    component: () =>
                        import ('@/views/monitorArea/powerDetails'),
                    meta: { title: '权重设置详情', icon: 'form' }
                },
                {
                    path: 'resetCopy',
                    name: '系统恢复和备份',
                    component: () =>
                        import ('@/views/monitorArea/resetCopy'),
                    meta: { title: '系统恢复和备份', icon: 'form' }
                },
            ]
        },
        //*********************粮油价格上报************************* */
        {
            path: '/priceMonitoring',
            component: Layout,
            redirect: '/priceMonitoring/index',
            name: '粮油价格上报',
            meta: { title: '粮油价格上报', icon: 'example' },
            component: Layout,
            children: [{
                    path: 'index',
                    name: '我的工作平台',
                    component: () =>
                        import ('@/views/priceMonitoring/priceReport/index'),
                    meta: { title: '我的工作平台', icon: 'form' }
                },
                {
                    path: 'priceReport',
                    name: '粮油价格上报',
                    component: () =>
                        import ('@/views/priceMonitoring/priceReport/list'),
                    meta: { title: '粮油价格上报', icon: 'form' },
                },
                // 粮油价格上报
                {
                    path: 'priceReportAdd',
                    name: '粮油价格上报新增',
                    hidden: true,
                    component: () =>
                        import ('@/views/priceMonitoring/priceReport/add'),
                    meta: { title: '粮油价格上报新增', icon: 'form' }
                },
                // 粮油价格上报
                {
                    path: 'priceReportAddPifa',
                    name: '粮油价格上报新增',
                    hidden: true,
                    component: () =>
                        import ('@/views/priceMonitoring/priceReport/addPifa'),
                    meta: { title: '粮油价格上报新增', icon: 'form' }
                },
                // 粮油价格上报
                {
                    path: 'priceReportAddChaoshi',
                    name: '粮油价格上报新增',
                    hidden: true,
                    component: () =>
                        import ('@/views/priceMonitoring/priceReport/addChaoshi'),
                    meta: { title: '粮油价格上报新增', icon: 'form' }
                },
                {
                    path: 'dataReport',
                    name: '数据上报',
                    component: () =>
                        import ('@/views/priceMonitoring/dataReport/index'),
                    meta: { title: '数据上报', icon: 'form' }
                },
                 
                {
                    path: 'priceReceive',
                    name: '粮油价格接收',
                    component: () =>
                        import ('@/views/priceMonitoring/priceReceive/list'),
                    meta: { title: '粮油价格接收', icon: 'form' }
                },
                // 粮油价格上报
                {
                    path: 'priceReceiveAdd',
                    name: '粮油价格上报新增',
                    hidden: true,
                    component: () =>
                        import ('@/views/priceMonitoring/priceReceive/add'),
                    meta: { title: '粮油价格上报新增', icon: 'form' }
                },
                // 粮油价格上报
                {
                    path: 'priceReceiveAddPifa',
                    name: '粮油价格上报新增',
                    hidden: true,
                    component: () =>
                        import ('@/views/priceMonitoring/priceReceive/addPifa'),
                    meta: { title: '粮油价格上报新增', icon: 'form' }
                },
                // 粮油价格上报
                {
                    path: 'priceReceiveAddChaoshi',
                    name: '粮油价格上报新增',
                    hidden: true,
                    component: () =>
                        import ('@/views/priceMonitoring/priceReceive/addChaoshi'),
                    meta: { title: '粮油价格上报新增', icon: 'form' }
                },
                {
                    path: 'dataUphold',
                    name: '数据维护',
                    component: () =>
                        import ('@/views/priceMonitoring/dataUphold/index'),
                    meta: { title: '数据维护', icon: 'form' }
                },
                 // 数据weihu
                 {
                    path: 'dataUpholdEdit',
                    name: '数据上报新增',
                    hidden: true,
                    component: () =>
                        import ('@/views/priceMonitoring/dataUphold/detail'),
                    meta: { title: '数据上报新增', icon: 'form' }
                },
                {
                    path: 'priceTrendEnter',
                    name: '价格走势录入',
                    component: () =>
                        import ('@/views/priceMonitoring/priceTrendEnter/index'),
                    meta: { title: '价格走势录入(周)', icon: 'form' }
                },
                {
                    path: 'priceTrendEnterMonth',
                    name: '价格走势录入',
                    component: () =>
                        import ('@/views/priceMonitoring/priceTrendEnterMonth/index'),
                    meta: { title: '价格走势录入(月)', icon: 'form' }
                },
                {
                    path: 'nationWidepriceIndexCount',
                    name: '全国价格指数录入',
                    component: () =>
                        import ('@/views/priceMonitoring/nationWidepriceIndexCount/index'),
                    meta: { title: '全国价格指数录入', icon: 'form' }
                },
                {
                    path: 'unreportedDataMonitor',
                    name: '未报数据监测点',
                    component: () =>
                        import ('@/views/priceMonitoring/unreportedDataMonitor/index'),
                    meta: { title: '未报数据监测点', icon: 'form' }
                },
            ]
        },
        //*********************收购季度周报上报************************* */
        {
            path: '/quarterWeekly',
            component: Layout,
            redirect: '/quarterWeekly/index',
            name: '收购季度周报上报',
            meta: { title: '收购季度周报上报', icon: 'example' },
            component: Layout,
            children: [{
                    path: 'index',
                    name: '上报',
                    component: () =>
                        import ('@/views/quarterWeekly/collect/index'),
                    meta: { title: '上报', icon: 'form' }
                },
                {
                    path: 'collect',
                    name: '汇总',
                    component: () =>
                        import ('@/views/quarterWeekly/collect/index'),
                    meta: { title: '汇总', icon: 'form' }
                }
            ]
        },
        //*********************汇总管理************************* */
        {
            path: '/gatherStatis',
            component: Layout,
            redirect: '/gatherStatis/index',
            name: 'contribute',
            meta: { title: '汇总管理', icon: 'example' },
            component: Layout,
            children: [{
                    path: 'index',
                    name: 'index',
                    component: () =>
                        import ('@/views/gatherStatis/historyDataQuery/index'),
                    meta: { title: '历史数据查询', icon: 'form' }
                },
                {
                    path: 'uploadStatis',
                    name: '上报统计',
                    component: () =>
                        import ('@/views/gatherStatis/uploadStatis/index'),
                    meta: { title: '上报统计', icon: 'form' }
                },
                {
                    path: 'uploadStatisA',
                    name: '上报统计',
                    component: () =>
                        import ('@/views/gatherStatis/uploadStatisA/index'),
                    meta: { title: '上报统计-1', icon: 'form' }
                },
                {
                    path: 'priceStatisDaily',
                    name: '价格统计日报表',
                    component: () =>
                        import ('@/views/gatherStatis/priceStatisDaily/index'),
                    meta: { title: '价格统计日报表', icon: 'form' }
                },
                {
                    path: 'priceStatisWeek',
                    name: '价格统计周报表',
                    component: () =>
                        import ('@/views/gatherStatis/priceStatisWeek/index'),
                    meta: { title: '价格统计周报表', icon: 'form' }
                },
                {
                    path: 'priceStatisMonth',
                    name: '价格统计月报表',
                    component: () =>
                        import ('@/views/gatherStatis/priceStatisMonth/index'),
                    meta: { title: '价格统计月报表', icon: 'form' }
                },
                {
                    path: 'randomTimeStatis',
                    name: '无固定时间统计',
                    component: () =>
                        import ('@/views/gatherStatis/randomTimeStatis/index'),
                    meta: { title: '无固定时间统计', icon: 'form' }
                },
                {
                    path: 'tJmainProductCharts',
                    name: '天津主要粮油产品走势图（周）',
                    component: () =>
                        import ('@/views/gatherStatis/tJmainProductCharts/index'),
                    meta: { title: '天津主要粮油产品走势图（周）', icon: 'form' }
                },
                {
                    path: 'tJmainProductMontChrts',
                    name: '天津主要粮油产品走势图（月）',
                    component: () =>
                        import ('@/views/gatherStatis/tJmainProductMontChrts/index'),
                    meta: { title: '天津主要粮油产品走势图（月）', icon: 'form' }
                },
                {
                    path: 'countryPricChrtsCom',
                    name: '与国家粮油价格指数对比分析',
                    component: () =>
                        import ('@/views/gatherStatis/countryPricChrtsCom/index'),
                    meta: { title: '与国家粮油价格指数对比分析', icon: 'form' }
                },
                {
                    path: 'articleGather',
                    name: '文章汇总',
                    component: () =>
                        import ('@/views/gatherStatis/articleGather/index'),
                    meta: { title: '文章汇总', icon: 'form' }
                },
                {
                    path: 'weekRepTable',
                    name: '周刊报表',
                    component: () =>
                        import ('@/views/gatherStatis/weekRepTable/index'),
                    meta: { title: '周刊报表', icon: 'form' }
                },
                {
                    path: 'weekPrice',
                    name: '本周行情',
                    component: () =>
                        import ('@/views/gatherStatis/weekPrice/index'),
                    meta: { title: '本周行情', icon: 'form' }
                },
            ]
        },
//应急加工企业开始
{
	path: '/emergencyManagement',
	component: Layout,
	name: '应急工作管理',
	meta: {
		title: '应急工作管理',
		icon: 'example'
	},
	children: [{
		path: 'emergencyProcessingEnterprises',
		name: '应急加工企业',
		meta: {
			title: '应急加工企业',
			icon: 'form'
		},
		component: {
			render(c) {
				return c('router-view')
			}
		},
		children: [{
			path: 'bannerCounty',
            name: '企业管理-旗县',
			meta: {
				title: '企业管理-旗县',
                icon: 'form',
			},
			component: () =>
				import('@/views/emergencyManagement/emergencyProcessingEnterprises/bannerCounty')
		},
		{
            path: 'bannerCountyAdd',
            name: '编辑',
			meta: {
				title: '企业管理-编辑',
                icon: 'form',
			},
			component: () =>
				import('@/views/emergencyManagement/emergencyProcessingEnterprises/bannerCountyAdd'),
        },
        {
			path: 'leagueCity',
            name: '企业管理-盟市',
			meta: {
				title: '企业管理-盟市',
                icon: 'form',
			},
			component: () =>
				import('@/views/emergencyManagement/emergencyProcessingEnterprises/bannerCounty')
        },
        {
            path: 'leagueCityAdd',
            name: '编辑',
			meta: {
				title: '企业管理-编辑',
                icon: 'form',
			},
			component: () =>
				import('@/views/emergencyManagement/emergencyProcessingEnterprises/bannerCountyAdd')
        },
        {
			path: 'provincialLevel',
			name: '企业管理-省级',
			meta: {
				title: '企业管理-省级',
				icon: 'form'
			},
			component: () =>
				import('@/views/emergencyManagement/emergencyProcessingEnterprises/bannerCounty')
        },
        {
			path: 'provincialLevelAdd',
			name: '编辑',
			component: () =>
				import('@/views/emergencyManagement/emergencyProcessingEnterprises/bannerCountyAdd')
        },
		]
	},{
		path: 'emergencyDistributionCenter',
		name: '应急配送中心',
		meta: {
			title: '应急配送中心',
			icon: 'form'
		},
		component: {
			render(c) {
				return c('router-view')
			}
        }, 
        children: [{
			path: 'bannerCountyCenter',
			name: '应急配送中心-旗县',
			meta: {
				title: '应急配送中心-旗县',
				icon: 'form'
			},
			component: () =>
				import('@/views/emergencyManagement/emergencyDistributionCenter/bannerCountyCenter')
		},{
			path: 'bannerCountyCenterAdd',
			name: '编辑',
			component: () =>
				import('@/views/emergencyManagement/emergencyDistributionCenter/bannerCountyCenterAdd'),
        },{
			path: 'leagueCityCenter',
			name: '应急配送中心-盟市',
			meta: {
				title: '应急配送中心-盟市',
				icon: 'form'
			},
			component: () =>
				import('@/views/emergencyManagement/emergencyDistributionCenter/bannerCountyCenter')
		},{
			path: 'leagueCityCenterAdd',
			name: '编辑',
			component: () =>
				import('@/views/emergencyManagement/emergencyDistributionCenter/bannerCountyCenterAdd'),
        },,{
			path: 'provincialLevelCenter',
			name: '应急配送中心-省级',
			meta: {
				title: '应急配送中心-省级',
				icon: 'form'
			},
			component: () =>
				import('@/views/emergencyManagement/emergencyDistributionCenter/bannerCountyCenter')
		},{
			path: 'provincialLevelCenterAdd',
			name: '编辑',
			component: () =>
				import('@/views/emergencyManagement/emergencyDistributionCenter/bannerCountyCenterAdd'),
        },]
    },{
		path: 'storageTransportationEnterprises',
		name: '应急储运企业',
		meta: {
			title: '应急储运企业',
			icon: 'form'
		},
		component: {
			render(c) {
				return c('router-view')
			}
        }, 
        children: [{
			path: 'bannerCountyStorage',
			name: '应急储运企业-旗县',
			meta: {
				title: '应急储运企业-旗县',
				icon: 'form'
			},
			component: () =>
				import('@/views/emergencyManagement/storageTransportationEnterprises/bannerCountyStorage')
		},{
			path: 'bannerCountyStorageAdd',
			name: '编辑',
			component: () =>
				import('@/views/emergencyManagement/storageTransportationEnterprises/bannerCountyStorageAdd'),
        },{
			path: 'leagueCityStorage',
			name: '应急储运企业-盟市',
			meta: {
				title: '应急储运企业-盟市',
				icon: 'form'
			},
			component: () =>
				import('@/views/emergencyManagement/storageTransportationEnterprises/bannerCountyStorage')
		},{
			path: 'leagueCityStorageAdd',
			name: '编辑',
			component: () =>
				import('@/views/emergencyManagement/storageTransportationEnterprises/bannerCountyStorageAdd'),
        },,{
			path: 'provincialLevelStorage',
			name: '应急储运企业-省级',
			meta: {
				title: '应急储运企业-省级',
				icon: 'form'
			},
			component: () =>
				import('@/views/emergencyManagement/storageTransportationEnterprises/bannerCountyStorage')
		},{
			path: 'provincialLevelStorageAdd',
			name: '编辑',
			component: () =>
				import('@/views/emergencyManagement/storageTransportationEnterprises/bannerCountyStorageAdd'),
        },]
    },{
		path: 'supplyOutlets',
		name: '应急供应网点',
		meta: {
			title: '应急供应网点',
			icon: 'form'
		},
		component: {
			render(c) {
				return c('router-view')
			}
        }, 
        children: [{
			path: 'bannerCountySupply',
			name: '应急供应网点-旗县',
			meta: {
				title: '应急供应网点-旗县',
				icon: 'form'
			},
			component: () =>
				import('@/views/emergencyManagement/supplyOutlets/bannerCountySupply')
		},{
			path: 'bannerCountySupplyAdd',
			name: '编辑',
			component: () =>
				import('@/views/emergencyManagement/supplyOutlets/bannerCountySupplyAdd'),
        },{
			path: 'leagueCitySupply',
			name: '应急供应网点-盟市',
			meta: {
				title: '应急供应网点-盟市',
				icon: 'form'
			},
			component: () =>
				import('@/views/emergencyManagement/supplyOutlets/bannerCountySupply')
		},{
			path: 'leagueCitySupplyAdd',
			name: '编辑',
			component: () =>
				import('@/views/emergencyManagement/supplyOutlets/bannerCountySupplyAdd'),
        },,{
			path: 'provincialLevelSupply',
			name: '应急供应网点-省级',
			meta: {
				title: '应急供应网点-省级',
				icon: 'form'
			},
			component: () =>
				import('@/views/emergencyManagement/supplyOutlets/bannerCountySupply')
		},{
			path: 'provincialLevelSupplyAdd',
			name: '编辑',
			component: () =>
				import('@/views/emergencyManagement/supplyOutlets/bannerCountySupplyAdd'),
        },]
    },{
		path: 'exerciseAccount',
		name: '应急处置预案演练台账',
		meta: {
			title: '应急处置预案演练台账',
			icon: 'form'
		},
        component: () =>
        import('@/views/emergencyManagement/exerciseAccount/exerciseAccount'),
        children: []
    },{
        path: 'exerciseAccountShow',
        name: '详情',
        meta: {
            title: '详情',
            icon: 'form'
        },
        component: () =>
            import('@/views/emergencyManagement/exerciseAccount/exerciseAccountShow')
    },{
		path: 'reserveManagement',
		name: '粮食和物资储备管理',
		meta: {
			title: '粮食和物资储备管理',
			icon: 'form'
		},
        component: () =>
        import('@/views/emergencyManagement/reserveManagement/reserveManagementIndex'),
        children: []
    },{
		path: 'monitoringWarning',
		name: '应急监测与预警',
		meta: {
			title: '应急监测与预警',
			icon: 'form'
		},
		component: {
			render(c) {
				return c('router-view')
			}
		},
		children: [{
			path: 'index',
			name: '应急监测与预警首页',
			meta: {
				title: '应急监测与预警首页',
				icon: 'form'
			},
			component: () =>
				import('@/views/emergencyManagement/monitoringWarning/index')
            },{
                path: 'detail',
                name: '应急监测与预警详情',
                meta: {
                    title: '应急监测与预警详情',
                    icon: 'form'
                },
                component: () =>
                    import('@/views/emergencyManagement/monitoringWarning/detail')
            },
        ]
    },
]
},
//应急加工企业结束

    ]
})