﻿import Vue from 'vue';
import Router from 'vue-router';

Vue.use(Router)
import Layout from '@/components/Layout/layout.vue'
const login = () =>
	import('@/views/login.vue')

/** 执法人员资质管理start */
const aptitudeManage = [{
		path: '/applyList',
		name: 'applyList',
		component: () => import('@/page/aptitudeManage/trainingManage/applyList'),
		meta: {
			title: '执法人员资质申请'
		}
	},
	{
		path: '/reviewList',
		name: 'reviewList',
		component: () => import('@/page/aptitudeManage/trainingManage/reviewList'),
		meta: {
			title: '执法人员资质审核'
		}
	},
	{
		path: '/trainingList',
		name: 'trainingList',
		component: () => import('@/page/aptitudeManage/trainingManage/trainingList'),
		meta: {
			title: '执法人员资质培训'
		}
	},
	{
		path: '/assessmentList',
		name: 'assessmentList',
		component: () => import('@/page/aptitudeManage/trainingManage/assessmentList'),
		meta: {
			title: '执法人员资质考核'
		}
	},
	{
		path: '/certificateList',
		name: 'certificateList',
		component: () => import('@/page/aptitudeManage/trainingManage/certificateList'),
		meta: {
			title: '证书发放'
		}
	},
	{
		path: '/certificateManagementList',
		name: 'certificateManagementList',
		component: () => import(
			'@/page/aptitudeManage/personnelCertificateMan/certificateManagement/certificateManagementList'),
		meta: {
			title: '执法人员证书管理'
		}
	},
	{
		path: '/certificateAuditList',
		name: 'certificateAuditList',
		component: () => import('@/page/aptitudeManage/personnelCertificateMan/certificateAudit/certificateAuditList'),
		meta: {
			title: '执法人员证书审核'
		}
	},
	{
		path: '/springInspection',
		name: 'springInspection',
		component: () => import('@/page/aptitudeManage/safetyInspection/springInspection'),
		meta: {
			title: '春季粮油安全检查'
		}
	},
	{
		path: '/summerInspection',
		name: 'summerInspection',
		component: () => import('@/page/aptitudeManage/safetyInspection/summerInspection'),
		meta: {
			title: '夏季粮油安全检查'
		}
	},
	{
		path: '/winterInspection',
		name: 'winterInspection',
		component: () => import('@/page/aptitudeManage/safetyInspection/winterInspection'),
		meta: {
			title: '冬季粮油安全检查'
		}
	},


];
/** 执法人员资质管理end */

/** 任务派发管理start */
const missionDispatchManage = [
  {
    path: "/dailyinspection",
    name:"dailyinspection",
    component: () => import("@/page/missionDispatchManage/dailyinspection/dailyinspection"),
    meta:{
      title:"日常检查"
    }
  },
  {
    path: "/dailyinspectionDetail",
     name:"dailyinspectionDetail",
    component: () => import("@/page/missionDispatchManage/dailyinspection/dailyinspectionDetail"),
    meta:{
      title:"日常检查详情查看"
    }
  },
    {
        path: "/dailyinspectionEdit",
        name:"dailyinspectionEdit",
        component: () => import("@/page/missionDispatchManage/dailyinspection/dailyinspectionEdit"),
        meta:{
            title:"日常检查编辑"
        }
    },
  {
    path: "/dailyinspectionDetail_see",
     name:"dailyinspectionDetail_see",
    component: () => import("@/page/missionDispatchManage/dailyinspection/dailyinspectionDetail_see"),
    meta:{
      title:"日常检查详情检查表单查看"
    }
  },
  // {
  //   path: "/dailyinspectionDetailDistri_bution",
  //   name:"dailyinspectionDetailDistri_bution",
  //   component: () => import("@/page/missionDispatchManage/dailyinspection/dailyinspectionDetailDistri_bution"),
  //   meta:{
  //     title:"日常检查-分配"
  //   }
  // },
  {
    path: "/taskGeneration",
    name:"taskGeneration",
    component: () => import("@/page/missionDispatchManage/dailyinspection/distribution/taskGeneration"),
    meta:{
      title:"任务生成"//日常检查
    }
  },
  {
    path: "/dailyAvoid",
    name:"dailyAvoid",
    component: () => import("@/page/missionDispatchManage/dailyinspection/distribution/avoid"),
    meta:{
      title:"规避"//日常检查
    }
  },
  {
    path: "/dailyCheckExtraction",
    name:"dailyCheckExtraction",
    component: () => import("@/page/missionDispatchManage/dailyinspection/distribution/checkExtraction"),
    meta:{
      title:"抽取"//日常检查
    }
  },
  {
    path: "/triplePreventionInspection",
    name:"triplePreventionInspection",
    component: () => import("@/page/missionDispatchManage/triplePreventionInspection/triplePreventionInspection"),
    meta:{
      title:"三防检查"
    }
  },
  {
    path: "/tripleDetail",
    name:"tripleDetail",
    component: () => import("@/page/missionDispatchManage/triplePreventionInspection/tripleDetail"),
    meta:{
      title:"三防检查详细"
    }
  },
  {
    path: "/tripledistribution",
    name:"tripledistribution",
    component: () => import("@/page/missionDispatchManage/triplePreventionInspection/tripledistribution"),
    meta:{
      title:"三防检查分配"
    }
  },
  {
    path: "/tripleEdit",
    name:"tripleEdit",
    component: () => import("@/page/missionDispatchManage/triplePreventionInspection/tripleEdit"),
    meta:{
      title:"三防检查编辑"
    }
  },
  {
    path: "/floodControlInspection",
    name:"floodControlInspection",
    component: () => import("@/page/missionDispatchManage/floodControlInspection/floodControlInspection"),
    meta:{
      title:"防汛检查"
    }
  },
  {
    path: "/floodControlDetail",
    name:"floodControlDetail",
    component: () => import("@/page/missionDispatchManage/floodControlInspection/floodControlDetail"),
    meta:{
      title:"防汛检查详情"
    }
  },
  {
    path: "/floodControlEdit",
    name:"floodControlEdit",
    component: () => import("@/page/missionDispatchManage/floodControlInspection/floodControlEdit"),
    meta:{
      title:"防汛检查编辑"
    }
  },
  {
    path: "/floodControlDistribution",
    name:"floodControlDistribution",
    component: () => import("@/page/missionDispatchManage/floodControlInspection/floodControlDistribution"),
    meta:{
      title:"防汛检查分配"
    }
  },
  {
    path: "/specialInspectionSupervise",
    name:"specialInspectionSupervise",
    component: () => import("@/page/missionDispatchManage/specialInspectionSupervise/specialInspectionSupervise"),
    meta:{
      title:"专项检查-监督检查处"
    }
  },
  {
    path: "/specialInspectionSuperviseDetail",
    name:"specialInspectionSuperviseDetail",
    component: () => import("@/page/missionDispatchManage/specialInspectionSupervise/specialInspectionSuperviseDetail"),
    meta:{
      title:"专项检查-监督检查处详情"
    }
  },
  {
    path: "/specialInspectionSupervisedistribution",
    name:"specialInspectionSupervisedistribution",
    component: () => import("@/page/missionDispatchManage/specialInspectionSupervise/specialInspectionSupervisedistribution"),
    meta:{
      title:"专项检查-监督检查处分配"
    }
  },
  {
    path: "/specialtaskGeneration",
    name:"specialtaskGeneration",
    component: () => import("@/page/missionDispatchManage/specialInspectionSupervise/distribution/taskGeneration"),
    meta:{
      title:"监督检查处-任务生成"
    }
  },
  {
    path: "/specialavoid",
    name:"specialavoid",
    component: () => import("@/page/missionDispatchManage/specialInspectionSupervise/distribution/avoid"),
    meta:{
      title:"监督检查处-规避"
    }
  },
  {
    path: "/specialcheckExtraction",
    name:"specialcheckExtraction",
    component: () => import("@/page/missionDispatchManage/specialInspectionSupervise/distribution/checkExtraction"),
    meta:{
      title:"监督检查处-规避"
    }
  },
  {
    path: "/specialInspectionFoodstuff",
    name:"specialInspectionFoodstuff",
    component: () => import("@/page/missionDispatchManage/specialInspectionFoodstuff/specialInspectionFoodstuff"),
    meta:{
      title:"专项检查-粮食储备处"
    }
  },
  {
    path: "/specialInspectionFoodstuffDetail",
    name:"specialInspectionFoodstuffDetail",
    component: () => import("@/page/missionDispatchManage/specialInspectionFoodstuff/specialInspectionFoodstuffDetail"),
    meta:{
      title:"专项检查-粮食储备处详情"
    }
  },
  {
    path: "/specialInspectionFoodstuffDistribution",
    name:"specialInspectionFoodstuffDistribution",
    component: () => import("@/page/missionDispatchManage/specialInspectionFoodstuff/specialInspectionFoodstuffDistribution"),
    meta:{
      title:"专项检查-粮食储备处分配"
    }
  },
]
/** 任务派发管理end */


/** 企业信息管理start */
const enterpriseInformationManage=[
  {
    path: '/btnSave',
    name: 'enterpriseInformationList',
    component: () => import('@/page/enterpriseInformation/enterpriseInformationList'),
    meta: {
      title: '企业信息库'
    }
  },
  {
    path: '/enterpriseInformationDetail',
    name: 'enterpriseInformationDetail',
    component: () => import('@/page/enterpriseInformation/enterpriseInformationDetail'),
    meta: {
      title: '企业信息详情'
    }
  },
  {
    path: '/WarehouseBasicInformation',
    name: 'WarehouseBasicInformation',
    component: () => import('@/page/enterpriseInformation/WarehouseBasicInformation'),
    meta: {
      title: '仓库基本信息'
    }
  },
  /** 企业信息库管理end */
  
  /** 检查人才库start */
  {
    path: '/checkTalentPoolList',
    name: 'checkTalentPoolList',
    component: () => import('@/page/checkTalentPool/checkTalentPoolList'),
    meta: {
      title: '检查人才库'
    }
  },
  {
    path: '/checkTalentPoolModal',
    name: 'checkTalentPoolModal',
    component: () => import('@/page/checkTalentPool/component/checkTalentPoolModal'),
    meta: {
      title: '检查人才库-新增'
    }
  },
  {
    path: '/checkTalentPoolListOperation_see',
    name: 'checkTalentPoolListOperation_see',
    component: () => import('@/page/checkTalentPool/component/checkTalentPoolListOperation_see'),
    meta: {
      title: '检查人才库——详情查看'
    }
  },
  {
    path: '/checkTalentPoolListOperation_edit',
    name: 'checkTalentPoolListOperation_edit',
    component: () => import('@/page/checkTalentPool/component/checkTalentPoolListOperation_edit'),
    meta: {
      title: '检查人才库——编辑'
    }
  },
  {
    path: '/checkTalentPoolListOperation_approval',
    name: 'checkTalentPoolListOperation_approval',
    component: () => import('@/page/checkTalentPool/component/checkTalentPoolListOperation_approval'),
    meta: {
      title: '检查人才库——审批'
    }
  },
  {
    path: '/checkIndicatorsList',
    name: 'checkIndicatorsList',
    component: () => import('@/page/checkIndicators/checkIndicatorList'),
    meta: {
      title: '检查指标库'
    }
  },

];
 /** 检查人才库end */


/**制定任务start */
const setATaskManage = [{
		path: '/setATaskManageList',
		name: 'setATaskManageList',
		component: () => import('@/page/setATask/setATaskList'),
		meta: {
			title: '制定任务'
		}
	},
	{
		path: '/setATaskManageDetails',
		name: 'setATaskManageDetails',
		component: () => import('@/page/setATask/setATaskManageDetails'),
		meta: {
      title: '制定任务',
      keepAlive: false,
		}
	},
];
/**制定任务end */

/** 结果反馈start **/
const resultFeedBack = [
  {
    path:'/dailyCheckResult',
    name:'dailyCheckResult',
    component:()=>import("@/page/resultFeedBack/dailyCheckResult/dailyCheckResult"),
    meta:{
      title:"日常检查结果"
    },
  },
    {
        path:'/addDailyCheck',
        name:'addDailyCheck',
        component:()=>import("@/page/resultFeedBack/dailyCheckResult/addDailyCheck"),
        meta:{
            title:"日常检查结果新增"
        },
    },
    {
        path:'/writeDialog',
        name:'writeDialog',
        component:()=>import("@/page/resultFeedBack/dailyCheckResult/components/writeDialog"),
        meta:{
            title:"日常检查结果-填写"
        },
    },

  {
    path:'/dailyCheckResultDetail',
    name:'dailyCheckResultDetail',
    component:()=>import("@/page/resultFeedBack/dailyCheckResult/dailyCheckResultDetail"),
    meta:{
      title:"日常检查结果详情"
    },
  },
  {
    path:'/stampDetail',
    name:'stampDetail',
    component:()=>import("@/page/resultFeedBack/dailyCheckResult/stampDetail"),
    meta:{
      title:"日常检查结果-盖章"
    },
  },
    {
        path:'/taskList',
        name:'taskList',
        component:()=>import("@/page/resultFeedBack/dailyCheckResult/components/taskList"),
        meta:{
            title:"日常检查结果-任务列表"
        },
    },
    {
        path:'/sceneCheckRecord',
        name:'sceneCheckRecord',
        component:()=>import("@/page/resultFeedBack/dailyCheckResult/components/sceneCheckRecord"),
        meta:{
            title:"日常检查结果-日常检查记录表-盖章"
        },
    },
    {
        path:'/approve',
        name:'approve',
        component:()=>import("@/page/resultFeedBack/dailyCheckResult/components/approve"),
        meta:{
            title:"日常检查结果-日常检查记录表-审批"
        },
    },
    {
        path:'/abarbeitung',
        name:'abarbeitung',
        component:()=>import("@/page/resultFeedBack/dailyCheckResult/components/abarbeitung"),
        meta:{
            title:"日常检查结果-日常检查记录表-整改"
        },
    },
    {
        path:'/sceneCheckRecordEdit',
        name:'sceneCheckRecordEdit',
        component:()=>import("@/page/resultFeedBack/dailyCheckResult/components/sceneCheckRecordEdit"),
        meta:{
            title:"日常检查结果-日常检查记录表-填写"
        },
    },
    {
        path:'/correctionNotice',
        name:'correctionNotice',
        component:()=>import("@/page/resultFeedBack/dailyCheckResult/components/correctionNotice"),
        meta:{
            title:"日常检查结果-责令改正通知书-盖章"
        },
    },
  {
    path:'/correctionNoticeEdit',
    name:'correctionNoticeEdit',
    component:()=>import("@/page/resultFeedBack/dailyCheckResult/components/correctionNoticeEdit"),
    meta:{
      title:"日常检查结果-责令改正通知书-填写"
    },
  },
    {
        path:'/feedbackInfo',
        name:'feedbackInfo',
        component:()=>import("@/page/resultFeedBack/dailyCheckResult/components/feedbackInfo"),
        meta:{
            title:"日常检查结果-整改反馈单"
        },
    },

  {
    path:'/workRecord',
    name:'workRecord',
    component:()=>import("@/page/resultFeedBack/workRecord/workRecord"),
    meta:{
      title:"工作日志"
    }
  },
  {
    path:'/reserveCompony',
    name:'reserveCompony',
    component:()=>import("@/page/resultFeedBack/reserveCompony/reserveCompony"),
    meta:{
      title:"日常检查结果-储备粮公司"
    }
  },
  {
    path:'/threePreventionCheck',
    name:'threePreventionCheck',
    component:()=>import("@/page/resultFeedBack/threePreventionCheck/threePreventionCheck"),
    meta:{
      title:"三防检查结果"
    }
  },
    {
        path:'/threePreventionCheckWriteDialog',
        name:'threePreventionCheckWriteDialog',
        component:()=>import("@/page/resultFeedBack/threePreventionCheck/components/writeDialog"),
        meta:{
            title:"三防检查结果-填写"
        }
    },
  {
    path:'/threePreventionCheckDetail',
    name:'threePreventionCheckDetail',
    component:()=>import("@/page/resultFeedBack/threePreventionCheck/threePreventionCheckDetail"),
    meta:{
      title:"三防检查结果详情"
    }
  },
    {
        path:'/recordTable',
        name:'recordTable',
        component:()=>import("@/page/resultFeedBack/threePreventionCheck/components/recordDjTable"),
        meta:{
            title:"冬季粮油安全检查情况记录表"
        }
    },
    {
        path:'/registerTable',
        name:'registerTable',
        component:()=>import("@/page/resultFeedBack/threePreventionCheck/components/registerTable"),
        meta:{
            title:"秋冬季节粮油安全存储和安全生产工作分组检查情况登记表"
        }
    },
    {
        path:'/scoreTable',
        name:'scoreTable',
        component:()=>import("@/page/resultFeedBack/threePreventionCheck/components/scoreTable"),
        meta:{
            title:"\"一符四无\"粮仓检查鉴定评分表"
        }
    },
    {
        path:'/feedbackTable',
        name:'feedbackTable',
        component:()=>import("@/page/resultFeedBack/threePreventionCheck/components/feedbackTable"),
        meta:{
            title:"反馈表"
        }
    },
  {
    path:'/floodPreventionCheck',
    name:'floodPreventionCheck',
    component:()=>import("@/page/resultFeedBack/floodPreventionCheck/floodPreventionCheck"),
    meta:{
      title:"防汛检查结果"
    }
  },
  {
    path:'/floodPreventionCheckDetail',
    name:'floodPreventionCheckDetail',
    component:()=>import("@/page/resultFeedBack/floodPreventionCheck/floodPreventionCheckDetail"),
    meta:{
      title:"防汛检查结果详情"
    }
  },
  {
    path:'/specialPreventionCheckSupervise',
    name:'specialPreventionCheckSupervise',
    component:()=>import("@/page/resultFeedBack/specialPreventionCheckSupervise/specialPreventionCheckSupervise"),
    meta:{
      title:"专项检查结果-监督检查处"
    }
  },
    {
        path:'/superviseWriteDialog',
        name:'superviseWriteDialog',
        component:()=>import("@/page/resultFeedBack/specialPreventionCheckSupervise/components/superviseWriteDialog"),
        meta:{
            title:"专项检查结果-监督检查处--填写"
        }
    },
  {
    path:'/specialPreventionCheckDetailSupervise',
    name:'specialPreventionCheckDetailSupervise',
    component:()=>import("@/page/resultFeedBack/specialPreventionCheckSupervise/specialPreventionCheckDetailSupervise"),
    meta:{
      title:"专项检查结果-监督检查处-详情"
    },
  },
  {
    path:'/specialPreventionCheckReserves',
    name:'specialPreventionCheckReserves',
    component:()=>import("@/page/resultFeedBack/specialPreventionCheckReserves/specialPreventionCheckReserves"),
    meta:{
      title:"专项检查结果-监督检查处"
    }
  },
  {
    path:'/reservesWriteDialog',
    name:'reservesWriteDialog',
    component:()=>import("@/page/resultFeedBack/specialPreventionCheckReserves/components/reservesWriteDialog"),
    meta:{
      title:"专项检查结果-监督检查处--填写"
    }
  },
  {
    path:'/specialPreventionCheckDetailReserves',
    name:'specialPreventionCheckDetailReserves',
    component:()=>import("@/page/resultFeedBack/specialPreventionCheckReserves/specialPreventionCheckDetailReserves"),
    meta:{
      title:"专项检查结果-监督检查处-详情"
    },
  },
]
/** 结果反馈end **/
/**监督检查记录start */
const records = [
  {
    path:'/recordsMs',
    name:'recordsMs',
    component:()=>import("@/page/inspectionRecord/caseInspectionRecords-ms/recordsMs"),
    meta:{
      title:"案件检查记录（盟市）"
    }
  },
  {
    path:'/recordsZzq',
    name:'recordsZzq',
    component:()=>import("@/page/inspectionRecord/caseInspectionRecords-zzq/recordsZzq"),
    meta:{
      title:"案件检查记录（自治区）"
    }
  },
  {
    path:'/recordAudit',
    name:'recordAudit',
    component:()=>import("@/page/inspectionRecord/recordAudit/recordAudit"),
    meta:{
      title:"案件检查记录审核"
    }
  }
  // {
	// 	path: '/',
	// 	name: '监督检查记录',
	// 	meta: {
	// 		title: '监督检查记录'
  //   },
  //   children:[
  //     {
  //       path:'/recordsMs',
  //       name:'recordsMs',
  //       component:()=>import("@/page/inspectionRecord/caseInspectionRecords-ms/recordsMs"),
  //       meta:{
  //         title:"案件检查记录（盟市）"
  //       }
  //     },
  //     {
  //       path:'/recordsZzq',
  //       name:'recordsZzq',
  //       component:()=>import("@/page/inspectionRecord/caseInspectionRecords-zzq/recordsZzq"),
  //       meta:{
  //         title:"案件检查记录（自治区）"
  //       }
  //     }
  //   ]
	// },
]
/**监督检查记录end */

/**行政执法start */
const lawEnforcement = [
  {
    path:'/enforcementRecord',
    name:'enforcementRecord',
    component:()=>import("@/page/lawEnforcement/enforcementRecord"),
    meta:{
      title:"行政执法记录"
    }
  },
]
/**行政执法end */
export default new Router({
	// mode:'history',
	routes: [

		{
			path: '/login',
			name: 'login',
			component: login
		},
		{
			path: '/',
			component: Layout,
			redirect: '/dashboard',
			name: '首页',
			hidden: true,
			// meta: {
			// 	title: '内蒙自治区企业管理平台',
			// 	icon: 'example'
			// },
			children: [{
				path: 'dashboard',
				component: () =>
					import('@/views/dashboard/index'),
				name: '首页',
				meta: {
					title: '内蒙自治区企业管理平台',
					icon: 'example'
				}
			}, ...aptitudeManage, ...setATaskManage, ...enterpriseInformationManage, ...missionDispatchManage,...resultFeedBack,...records,...lawEnforcement]
		},
		{
			path: '/userinfo',
			name: 'userinfo',
			component: () =>
				import('@/page/login/userInfo'),
		},
		//   {
		//     path: '/',
		//     component: () => import('@/page/index'),
		//     children: [{
		//       path: '/',
		//       name: 'layout',
		//       component: () => import('@/page/Layout/layout.vue'),
		//       children: [...aptitudeManage,...enterpriseInformationManage,...setATaskManage,...missionDispatchManage]
		//     },
		//     ]
		//   },
	]
})
